package org.wso2.carbon.device.mgt.ios.payload.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "PPP",
        description = "Information related to PPTP profile type related information.")
public class PPP {

    @ApiModelProperty(name = "authName",
            value = "Auth name.", required = true)
    private String authName;
    @ApiModelProperty(name = "authPassword",
            value = "Auth password.", required = true)
    private String authPassword;
    @ApiModelProperty(name = "tokenCard",
            value = "Token card.", required = true)
    private Boolean tokenCard;
    @ApiModelProperty(name = "commRemoteAddress",
            value = "Common Remote address.", required = true)
    private String commRemoteAddress;
    @ApiModelProperty(name = "RSASecureID",
            value = "RSA secure ID.", required = true)
    private Boolean RSASecureID;
    @ApiModelProperty(name = "CCPMPPE40Enabled",
            value = "Enable/Disable status of the CCPMPPE40.", required = true)
    private Boolean CCPMPPE40Enabled;
    @ApiModelProperty(name = "CCPMPPE128Enabled",
            value = "Enable/Disable status of the CCPMPPE128.", required = true)
    private Boolean CCPMPPE128Enabled;
    @ApiModelProperty(name = "CCPEnabled",
            value = "Enable/Disable status of the CCPE.", required = true)
    private Boolean CCPEnabled;

    public String getAuthName() {
        return authName;
    }

    public void setAuthName(String authName) {
        this.authName = authName;
    }

    public String getAuthPassword() {
        return authPassword;
    }

    public void setAuthPassword(String authPassword) {
        this.authPassword = authPassword;
    }

    public Boolean getTokenCard() {
        return tokenCard;
    }

    public void setTokenCard(Boolean tokenCard) {
        this.tokenCard = tokenCard;
    }

    public String getCommRemoteAddress() {
        return commRemoteAddress;
    }

    public void setCommRemoteAddress(String commRemoteAddress) {
        this.commRemoteAddress = commRemoteAddress;
    }

    public Boolean getRSASecureID() {
        return RSASecureID;
    }

    public void setRSASecureID(Boolean RSASecureID) {
        this.RSASecureID = RSASecureID;
    }

    public Boolean getCCPMPPE40Enabled() {
        return CCPMPPE40Enabled;
    }

    public void setCCPMPPE40Enabled(Boolean CCPMPPE40Enabled) {
        this.CCPMPPE40Enabled = CCPMPPE40Enabled;
    }

    public Boolean getCCPMPPE128Enabled() {
        return CCPMPPE128Enabled;
    }

    public void setCCPMPPE128Enabled(Boolean CCPMPPE128Enabled) {
        this.CCPMPPE128Enabled = CCPMPPE128Enabled;
    }

    public Boolean getCCPEnabled() {
        return CCPEnabled;
    }

    public void setCCPEnabled(Boolean CCPEnabled) {
        this.CCPEnabled = CCPEnabled;
    }
}
